VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
JX10Processor::VOICE Struct Reference

`#include <mdaJX10Processor.h>`

## Public Attributes
float | period
float | p
float | pmax
float | dp
float | sin0
float | sin1
float | sinx
float | dc
float | detune
float | p2
float | pmax2
float | dp2
float | sin02
float | sin12
float | sinx2
float | dc2
float | fc
float | ff
float | f0
float | f1
float | f2
float | saw
float | env
float | envd
float | envl
float | fenv
float | fenvd
float | fenvl
float | lev
float | lev2
float | target
int32 | note
int32 | noteID
float | snaPitchbend
float | snaVolume
float | snaPanLeft
float | snaPanRight

## Member Data Documentation

## ◆ period

float period

## ◆ p

float p

## ◆ pmax

float pmax

## ◆ dp

float dp

## ◆ sin0

float sin0

## ◆ sin1

float sin1

## ◆ sinx

float sinx

## ◆ dc

float dc

## ◆ detune

float detune

## ◆ p2

float p2

## ◆ pmax2

float pmax2

## ◆ dp2

float dp2

## ◆ sin02

float sin02

## ◆ sin12

float sin12

## ◆ sinx2

float sinx2

## ◆ dc2

float dc2

## ◆ fc

float fc

## ◆ ff

float ff

## ◆ f0

float f0

## ◆ f1

float f1

## ◆ f2

float f2

## ◆ saw

float saw

## ◆ env

float env

## ◆ envd

float envd

## ◆ envl

float envl

## ◆ fenv

float fenv

## ◆ fenvd

float fenvd

## ◆ fenvl

float fenvl

## ◆ lev

float lev

## ◆ lev2

float lev2

## ◆ target

float target

## ◆ note

int32 note

## ◆ noteID

int32 noteID

## ◆ snaPitchbend

float snaPitchbend

## ◆ snaVolume

float snaVolume

## ◆ snaPanLeft

float snaPanLeft

## ◆ snaPanRight

float snaPanRight

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.